question

LovisMirac@aol.com Ivison avatar image
LovisMirac@aol.com Ivison asked ·

Mobile app: What are the minimum requirements?

On Google play, when I search for "ringcentral", I find the RingCentral app, but it says "Your device isn't compatible with this version."

I got my android phone this year -- not that old -- but it's a Motorola Admiral (model XT603), running Android version 2.3.5.  Is there an app for this?
mobile appiphoneiosandoird
1 comment
1 |1000 characters needed characters left characters exceeded

Up to 8 attachments (including images) can be used with a maximum of 1.0 MiB each and 10.0 MiB total.

Apparently not, based on Jan's link below. 

(I guess sales people selling phones don't have to consider those questions, of age and upgradability.  But since it's the only bad customer service experience I've had, in 18 years with my carrier, when I get my next phone I'll just talk to a different sales person... and make sure I ask these questions.)
0 Likes 0 · ·
kim avatar image
kim answered ·
RingCentral  will only work on Android on 4.4 or higher.

UPDATE: RingCentral recently released a critical update to our RingCentral Android mobile. As of November 22, 2015, users on version 7.4.2 and earlier, will be unable to use the mobile app without first upgrading. Be sure to  download the latest version today.

2 comments Share
1 |1000 characters needed characters left characters exceeded

Up to 8 attachments (including images) can be used with a maximum of 1.0 MiB each and 10.0 MiB total.

Ok, and it sounds like there's only one app.  Got it.
0 Likes 0 · ·
Correct, There's just one app, not separate apps for various Android versions. And as Jan explained below since that's an older model it unfortunately won't work. 

Did you by any chance by the device second hand or from a cell phone carrier?  If you recently bought it from a carrier, you might want to check with them right away. Sometimes they have some sort of "trade in" period. If you've only had the phone for a few days, you might be able to exchange it. 

Mike 
0 Likes 0 · ·
J.B. Ferguson avatar image
J.B. Ferguson answered ·
You might have only acquired your phone this year but unfortunately that phone model was released in October 2011. It is a week or so shy of being four years old. All the research I could find on the phone shows that it will only run an Android version 2.3.x operating system.

Check out the specifications for your phone here:
http://www.gsmarena.com/motorola_admiral_xt603-4282.php

Note the "Platform OS" section which states, "Android OS, v2.3.4 (Gingerbread), not upgradeable to v4.1 (Jelly Bean)"

Sorry...

1 comment Share
1 |1000 characters needed characters left characters exceeded

Up to 8 attachments (including images) can be used with a maximum of 1.0 MiB each and 10.0 MiB total.

Thanks, Jan, for reporting all that:  clear.
0 Likes 0 · ·
joseph1354 avatar image
joseph1354 answered ·
There is a chance you could manually update it to android version 4.0.
http://lmgtfy.com/?q=manually+upgrade+android+2
Share
1 |1000 characters needed characters left characters exceeded

Up to 8 attachments (including images) can be used with a maximum of 1.0 MiB each and 10.0 MiB total.

in-raleigh avatar image
in-raleigh answered ·
I got an Android Samsung Note 2 version 4.3 and the mobile app says it doesn't support my phone. Do you have old version of the App that we can use?
1 comment Share
1 |1000 characters needed characters left characters exceeded

Up to 8 attachments (including images) can be used with a maximum of 1.0 MiB each and 10.0 MiB total.

HI  IN RALEIGH

Did you already check to see if your phone has an Android update available?  If you can update the phone that would definitely be the best option. 

If not you can try the steps below, but, it's important to know, that much of the functionality of the mobile app is based on what we have in the cloud. We've made some significant system changes the last few months so we can't guarantee it will function correctly or provide support if it doesn't work. 

You can try to download the 7.5 version to your computer, then installed it on the device with the steps below. 

  1. Download the 7.5 from the google drive link.    https://drive.google.com/file/d/0B5MigFF9ZmE1Nm93bGRBU01OYlU/view?usp=sharing 
  2. Connect your device to your computer via the USB cable. Copy the APK file from your computer to the local storage on the phone and place in the Download folder:
  3. Go to apps / my files / local storage / download.
  4. Select the APK from the list and select install several times to install the application.

  5. Log into the application and DO NOT select the App Update when prompted. Select Later otherwise it will update to the latest available again.




1 Like 1 · ·
partners avatar image
partners answered ·
This reply was created from a merged topic originally titled problems with android app.. problems with android app. support had me uninstall app, but when reinstalling, got incompatible device message now? ringcentral is no longer working but skype, viber and several other apps are still fully comptible with this same android device!developers needs to allow phones running android 4.1.2 to run app since this phone says its running its latest android os allowed. Otherwise, puts itself out of usage.

Also can run zoom on my new kindle fire but still unable to run ringcentral on kindle running android os 5.1 (lollipop).
5 comments Share
1 |1000 characters needed characters left characters exceeded

Up to 8 attachments (including images) can be used with a maximum of 1.0 MiB each and 10.0 MiB total.

HI  PARTNERS ,   If you can't update to 4.4 or higher, then there's likely a hardware limitation on the device. You can try installing the mobile app version 7.5 using my instructions above, but keep in mind, that  version is several months old and no longer supported. It will lack several new features that our latest version has.  You can also try it on your Kindle also if you wish.   

As far as the Kindle goes, can you tell me if you are having trouble with the regular RingCentral phone app, or is the the Meetings app?  


Mike 
0 Likes 0 · ·
Thanks. Can't install ringcentral phone or ringcentral meetings app on kindle running android os 5.1
0 Likes 0 · ·
Hello Partners,   I did some checking with our Product team and the Kindle actually runs a little different OS (Fire OS).  It's not a supported device however, Here are some instructions if you would like to provide us with a log file to investigate. 

Try installing the ADB tool using the steps below, then try to reinstall the app and send us the log file. 

Use ADB logcat to gererate the log

Here is the step by step instructions:
1. Watch this video: https://www.youtube.com/watch?v=wv1x24CZrvY
2. Download and install ADB tool on your computer: http://www.aftvnews.com/how-to-setup-adb-and-fastboot-on-a-mac-or-windows-computer/
3. Follow the steps in #1, run the ADB command
4. Reproduce the issue on your phone again
5. Send us the log file generated there. 

The log file will be in a txt format.  After you have the file saved to your PC, you can open a case and upload the file.  As soon as you get the case number please reply here with the case number. And/or reference this URL in your case notes:  https://community.ringcentral.com/ringcentral/topics/is-there-a-mobile-app-for-android-2-3?

0 Likes 0 · ·
Weird how zoom works well but ringcentral meeting using zoom does not!? Forces us to enter by typing meeting id but not allowed to be admin on our calls. Any timeline for fixing ringcentral to work natively with kindle fire, since amazon has millions of users already!?
0 Likes 0 · ·
Anthony - please create an Idea (Feature Request) for this specifically related to the Kindle Fire (Amazon). 
0 Likes 0 · ·

Write an Answer

Hint: Notify or tag a user in this post by typing @username.

Up to 10 attachments (including images) can be used with a maximum of 1.0 MiB each and 10.0 MiB total.

Customer Spaces